Subject: Re: [Int-dir] INT area directorate review for draft-ietf-hip-rfc5206-bis-12

From: Gonzalo Camarillo <[email-masked]>
Date: Wed, 31 Aug 2016 10:50:07 +0300

Hi Terry,

in his INT area review, Jean Michel asks for a security-area review of
the document (see email below). The HIP documents have been reviewed by
the security area several times in the past, but if you want them to
have a fresh look at them, you should probably ask the security ADs to
perform such a review as part of the IESG evaluation process.

In any case, please get back to Tom (who is editing this draft) so that
he understands who you want to proceed.

Thanks,

Gonzalo

On 11/07/2016 6:07 PM, Jean-Michel Combes wrote:
> Hi Tom,
> 
> To clarify, my concern is about:
> (1) CBA is still an individual draft
> (2) CBA is applied as a "MUST"
> 
> IMHO, only copying text inside the document is a bad idea: using such a
> security mechanism for a proposed Standard track document needs deep
> security reviews (e.g., Security Area at least).
> 
> Best regards,
> 
> JMC.
> 
> 
> 2016-07-08 19:05 GMT+02:00 Tom Henderson <[email-masked]
> <mailto:[email-masked]>>:
> 
>     On 07/05/2016 12:32 PM, Jean-Michel Combes wrote:
> 
>         I am an assigned INT directorate reviewer for
>         draft-ietf-hip-rfc5206-bis-12. These
>         comments were written primarily for the benefit of the Internet Area
>         Directors. Document editors and shepherd(s) should treat these
>         comments
>         just like they would treat comments from any other IETF contributors
>         and resolve them along with any other Last Call comments that
>         have been
>         received. For more details on the INT Directorate, see
>         http://www.ietf.org/iesg/directorate.html
> 
>         o Mobile IP(v6) v.s. HIP
>         At first, I prefer to be frank: I must admit that I am not
>         pro-HIP ...
>         HIP,  IMHO, looks like Mobile IP(v6) (modulo some parameters)
>         with many
>         drawbacks ...
> 
>         Now, please, trust me, my review has been done with a _neutral_
>         point of
>         view.
> 
>         o HIP Security
>         I didn't review HIP basis RFCs/drafts, meaning that my review is
>         based
>         on the fact that security reviews have already been done.
> 
>         o draft-ietf-hip-rfc5206-bis-12
> 
>         My main concern is the use of an Informative RFC to provide
>         security to
>         the protocol described inside this document:
>         Section 5,6, "To prevent redirection-based flooding attacks, the
>         use of
>         a Credit-Based Authorization (CBA) approach MUST be used when a host
>         sends data to an UNVERIFIED locator."
> 
> 
>     Thank you for the review; is your concern that the CBA mechanism is
>     used altogether, or that the specification relies on an Informative
>     RFC (in which case it may be remedied by avoiding the normative
>     reference by copying into this draft)?
> 
>     - Tom
> 
>